<?php

namespace Drupal\monarch_migration_d7\Plugin\MigrationMapper;

use Drupal\migrate\MigrateSkipRowException;
use Drupal\migrate\Row;
use Drupal\migrate\Plugin\MigrationInterface;
use Drupal\monarch_migration\Plugin\MigrationMapper\MigrationMapperBase;

/**
 * Attempts to skip user 0 and user 1.
 *
 * @MigrationMapper(
 *   id = "monarch_migration_d7_user_skip",
 *   migration = "user",
 * )
 */
class UserSkip extends MigrationMapperBase {

  /**
   * {@inheritdoc}
   */
  public function prepareRow(Row $row, MigrationInterface $migration) {
    $uid = $row->getSourceProperty('uid');

    if ($uid == 0 || $uid == 1) {
      throw new MigrateSkipRowException('User email belongs to the Site Admin. Do not migrate!');
    }
  }

}
